.ramdom-gallery {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
    position: relative;
}

.ramdom-gallery li {
    width: 33.3333%;
    position: relative;
}

@media (max-width: 1400px) {
    .ramdom-gallery li {
        width: 50%;
    }

    .ramdom-gallery-items-5,
    .ramdom-gallery-items-6 {
        display: none;
    }
}

.ramdom-gallery li img {
    width: 100%;
    vertical-align: bottom;
}

.ramdom-gallery li img:first-child {
    position: relative;
}

.ramdom-gallery li img:nth-child(2) {
    position: absolute;
    top: 0;
    left: 0;
}


.random-gallery-modal-big {
    display: none;
    height: 100vh;
    position: fixed;
    z-index: 200;
    top: 0;
    width: 100%;
}

.random-gallery-modal-big-bg {
    background: rgba(0, 0, 0, 0.8);
    height: 100vh;
    position: absolute;
    width: 100%;
}

.random-gallery-modal-big-inner {
    overflow: hidden;
    background: #fff;
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
    /* width: 73.889vw; */
    width: 1064px;
    max-height: 90vh;
    padding: 50px 0px 115px;
    text-align: center;
}

.random-gallery-modal-big-inner .swiper-wrapper .swiper-slide {
    box-sizing: border-box;
    width: 100%;
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 80px;
    padding-right: 80px;
}

.random-gallery-modal-big-inner img {
    width: auto;
    max-width: 100%;
    max-height: calc(90vh - 165px);
}

.random-gallery-modal-big-inner .swiper-button-next,
.swiper-container-rtl .swiper-button-prev {
    right: 30px;
}

.random-gallery-modal-big-inner .swiper-button-prev,
.swiper-container-rtl .swiper-button-next {
    left: 30px;
}

.random-gallery-modal-big-inner .swiper-button-disabled {
    opacity: 0.35 !important;
}

.random-gallery-modal-big-inner .swiper-wrapper .swiper-slide-active {
    overflow: hidden;
}

.random-gallery-modal-big-inner .gallery-modal-close {
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 280px;
    background-color: #cba264;
    color: #fff;
    text-decoration: none;
    line-height: 80px;
    cursor: pointer;
}


@media (max-width: 900px) {

    .random-gallery-modal-big-inner {
        width: 100%;
        padding :0 0 50px;
    }

    .random-gallery-modal-big-inner .swiper-wrapper .swiper-slide {
        box-sizing: border-box;
        padding: 0;
    }

    .random-gallery-modal-big-inner .swiper-wrapper .swiper-slide img {
        box-sizing: border-box;
        padding: 10px 15px 10px 20px;
    }

}


.swiper-button-next,
.swiper-container-rtl .swiper-button-prev {
    background-image: url(../img/ramdom-gallery/top-gallery-next.png);
    right: 50px;
}

.swiper-button-prev,
.swiper-container-rtl .swiper-button-next {
    background-image: url(../img/ramdom-gallery/top-gallery-prev.png);
    left: 50px;
}

.swiper-button-next,
.swiper-button-prev {
    opacity: 1 !important;
    width: 12px;
    height: 27px;
    background-size: 12px 27px;
}

.random-gallery-modal-big-inner .swiper-button-next,
.swiper-container-rtl .swiper-button-prev {
    right: 30px;
}

.random-gallery-modal-big-inner .swiper-button-prev,
.swiper-container-rtl .swiper-button-next {
    left: 30px;
}


@media screen and (min-width:640px) and (max-width:960px)and (orientation:landscape) {


    .random-gallery-modal-big-inner{
        width: 60%;
    }

    .swiper-button-next, .swiper-button-prev {
        top: 17vw!important;
    }


}

@media (max-width: 900px) {


    .top-gallery-shun-more .swiper-button-next,
    .top-gallery-shun-more .swiper-container-rtl .swiper-button-prev {
        background-image: url(../img/ramdom-gallery/top-gallery-next.png);
        right: 50px;
    }

    .top-gallery-shun-more .swiper-button-prev,
    .top-gallery-shun-more .swiper-container-rtl .swiper-button-next {
        background-image: url(../img/ramdom-gallery/top-gallery-prev.png);
        left: 50px;
    }

    .swiper-button-next,
    .swiper-container-rtl .swiper-button-prev {
        background-image: url(../img/ramdom-gallery/top-gallery-next-w.png);
        right: 50px;
    }

    .swiper-button-prev,
    .swiper-container-rtl .swiper-button-next {
        background-image: url(../img/ramdom-gallery/top-gallery-prev-w.png);
        left: 50px;
    }

    .swiper-button-prev,
    .swiper-container-rtl .swiper-button-next {
        left: 30px;
    }

    .swiper-button-next,
    .swiper-container-rtl .swiper-button-prev {
        right: 30px;
    }

    .gallery-modal-sp .swiper-button-next,
    .gallery-modal-sp .swiper-button-prev {
        top: 62%;
    }

    .swiper-button-next,
    .swiper-button-prev {
        top: 46vw;
    }

    .random-gallery-modal-big-inner .gallery-modal-close{
        width: 100%;
        height: 35px;
    }
}

@media (max-width: 480px) {

    .swiper-button-next,
    .swiper-button-prev {
        top: 48%;
    }

    .swiper-button-next,
    .swiper-button-prev {
        width: 10px;
        height: 20px;
        background-size: 10px 20px;
    }
}